const UglifyJsPlugin = require('uglifyjs-webpack-plugin');
const helpers = require('./helpers');

const libraryName = 'v-light-gallery';
const buildTarget = 'umd';
const outputFile = `${libraryName}.js`;
const tagline = 'Vue.js plugin for Light Gallery';

module.exports = {
  entry: helpers.root('src', 'index.js'),
  module: {
    rules: [
      {
        test: /\.vue$/,
        loader: 'vue-loader',
        exclude: /node_modules/,
      },
      {
        test: /\.js$/,
        loader: 'babel-loader',
        exclude: /node_modules/,
      },
    ],
  },
  output: {
    path: helpers.root('dist'),
    filename: outputFile,
    library: libraryName,
    libraryTarget: buildTarget,
    umdNamedDefine: true,
  },
  mode: 'production',
  optimization: {
    minimizer: [
      new UglifyJsPlugin({
        uglifyOptions: {
          output: { comments: new RegExp(tagline, 'i') },
        },
      }),
    ],
  },
  plugins: [],
};
